class Strongspace.Views.Settings extends Backbone.View

	initialize: ->
	
	events: ->
		"click #start_at_login": "toggleStartAtLogon"
		"click .togglePrefBool": "togglePrefBool"
		"click #ReleaseChannel": "toggleReleaseChannel"
		"click #ShowInDock": "toggleShowInDock"
		"click #check_for_updates": "checkForUpdates"

	afterRender: ->
		if loginitem.willLaunchAtLogon()
			$("#start_at_login").prop('checked', true)
		if settings.getBool("RevealAfterConnect")
			$("#RevealAfterConnect").prop('checked', true)
		if settings.getBool("ShowManagerAtLaunch")
			$("#ShowManagerAtLaunch").prop('checked', true)
		if settings.getBool("SUEnableAutomaticChecks")
			$("#SUEnableAutomaticChecks").prop('checked', true)
		if settings.getBool("ShowInDock")
			$("#ShowInDock").prop('checked', true)

		if settings.getBool("ShowDesktopNotifications")
			$("#ShowDesktopNotifications").prop('checked', true)
			
		if settings.getString("ReleaseChannel") == "beta"
			$("#ReleaseChannel").prop('checked', true)

		if settings.platform() != "mac"
			$(".platform_mac").remove()

	toggleStartAtLogon: (e) ->
		if $("#start_at_login").prop('checked') == true
			loginitem.setLaunchAtLogon(true)
		else
			loginitem.setLaunchAtLogon(false)

	togglePrefBool: (e) ->
		settings.setBool($(e.target).prop('checked'), $(e.target).attr('id'))
		return true

	toggleReleaseChannel: (e) ->
		if $("#ReleaseChannel").prop('checked') == true
			settings.setString("beta", "ReleaseChannel")
		else
			settings.setString("stable", "ReleaseChannel")

	toggleShowInDock: (e) ->
		if $("#ShowInDock").prop('checked') == true
			settings.setString(true, "ShowInDock")
			settings.showInDock(true)
		else
			settings.setString(false, "ShowInDock")
			settings.showInDock(false)

	checkForUpdates: (e) ->
		e.preventDefault()
		updater.checkForUpdates()