class Strongspace.Views.Sidebar extends Backbone.View

	events:
		"click li.new" : "newDrive"
		"click li.favorites" : "favorites"
		"click li.settings" : "settings"
		"click li.history" : "history"
		"click li.feedback" : "feedback"
	newDrive: (e) ->
		$("#sidebar li").removeClass("active")
		target = @getLi(e)
		target.addClass("active")
		Strongspace.List.newSession()
		

	getLi: (e) ->
		target = $(e.target).parents("li")
		if target.length == 0
			target = $(e.target)
		return target

	favorites: (e) ->
		$("#sidebar li").removeClass("active")
		target = @getLi(e)
		target.addClass("active")
		Strongspace.List.showFavorites()
		Strongspace.collapseListifNecessary()

	settings: (e) ->
		$("#sidebar li").removeClass("active")
		target = @getLi(e)
		target.addClass("active")
		Strongspace.List.showSettings()
		

	history: (e) ->
		$("#sidebar li").removeClass("active")
		target = @getLi(e)
		target.addClass("active")

	feedback: (e) ->
		settings.sendFeedback()



	
